Skip to main content
POST
/
v1
/
{tenantUUID}
/
logo
Upload Tenant Logo
curl --request POST \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/logo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form image='@example-file'
{
  "uuid": "string",
  "email": "string",
  "business_since": "string",
  "company_size": "string",
  "title": "string",
  "status": "string",
  "code": "string",
  "options": [
    {
      "key": "string",
      "value": {}
    }
  ],
  "meta": [
    {
      "key": "string",
      "value": "string"
    }
  ],
  "credit": {
    "amount": 0,
    "auto_payment": true
  },
  "summary": "string",
  "logo": {
    "image": "string"
  },
  "payment_gateways": [
    "string"
  ],
  "flags": [
    {
      "uuid": "string",
      "slug": "string"
    }
  ],
  "status_reason": {
    "uuid": "string",
    "slug": "string",
    "title": "string"
  },
  "vat_number": "string",
  "vat_validated_at": "string",
  "vat_validation_status": "valid"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Body

multipart/form-data
image
file

Tenant Logo Image

Response

Successful operation

uuid
string
email
string
business_since
string | null
company_size
string | null
title
string
status
string
code
string
options
object[]
meta
object[]
credit
object
summary
string
payment_gateways
string[]
flags
object[]
status_reason
object
vat_number
string
vat_validated_at
string | null
vat_validation_status
enum<string> | null
Available options:
valid,
invalid,
failed